import sys
from dcda_tracker import Dcda_Tracker
from defaults import _C as cfg
from vgg_backbone import build_vgg16
import vot


class SiamFCpp(object):
    def __init__(self, image, region):
        model = build_vgg16(cfg)
        gt_bbox = region
        gt_bbox = [int(gt_bbox[0]), int(gt_bbox[1]), int(gt_bbox[2]), int(gt_bbox[3])]
        gt_bbox2 = gt_bbox.copy()
        self.tracker = Dcda_Tracker(cfg, model=model, device='cuda', display=False)
        self.tracker.initialize_dcda(image, gt_bbox, flip=True)
        self.tracker.initialize_dcda(image, gt_bbox2, flip=False)
    def track(self, image):
        pred_bbox, ps = self.tracker.tracking(image)
        return vot.Rectangle(pred_bbox[0], pred_bbox[1], pred_bbox[2], pred_bbox[3]), ps

handle = vot.VOT("rectangle")
selection = handle.region()
myregion = (int(selection.x), int(selection.y), int(selection.width), int(selection.height))
myregion = list(myregion)
imagefile = handle.frame()


if not imagefile:
    sys.exit(0)

tracker = SiamFCpp(imagefile, myregion)

while True:
    imagefile = handle.frame()
    if not imagefile:
        break
    region, confidence = tracker.track(imagefile)
    handle.report(region, confidence)
